Subject: Re: linux-next: Fixes tag needs some work in the mm tree

From: Zach O'Keefe <[email-masked]>
Date: Mon, 19 Sep 2022 07:47:51 -0700

On Sep 19 08:21, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   3a41f36f7083 ("selftests/vm: fix "add thp collapse file and tmpfs testing" for tmpfs")
> 
> Fixes tag
> 
>   Fixes: 64b9fb1fa904 ("selftests/vm: add thp collapse file and tmpfs testing")
> 
> has these problem(s):
> 
>   - Subject does not match target commit subject
>     Just use
> 	git log -1 --format='Fixes: %h ("%s")'
> 
> So
> 
> Fixes: 64b9fb1fa904 ("selftests/vm: add thp collapse shmem testing")
> 
> or maybe
> 
> Fixes: 465c955b7343 ("selftests/vm: add thp collapse file and tmpfs testing")
> 
> -- 
> Cheers,
> Stephen Rothwell

Hey Stephen,

Apologies here.  Yes, the correct Fixes tag should be, based off latest
mm-unstable,

Fixes: 8d88fef0b3d8 ("selftests/vm: add thp collapse file and tmpfs testing")

Now, I'm quite confused as to has this happened as I've been generating
citations using something similar to the --format string you reference, but
perhaps this time I chose to do it manually and messed it up.  Anyways, will
write something to catch these mistakes in the future.

Andrew, there are a few changes incoming to the "mm: add file/shmem support to
MADV_COLLAPSE" series based off recent reviews (including another patch with
a commit description change).  Perhaps it's easier for me to send a new (v4)
series to mm-unstable to address these?  Otherwise, I'm not sure how to
request these metadata changes.

Best,
Zach